// component/personCenter/personCenter.js
var app = getApp()
const wxService = require('../../utils/wxService')
const envInfo = require('../../config/index').envInfo

Component({
  properties: {
    personData: {
			type: Object,
			value: {},
    },
    integralNum:  {
			type: Number,
			value: 0,
    },
    baseUserInfo: {
      type: Object,
      value: {},
      observer(newVal){
        this.setData({
          memberActivateStatus: newVal && newVal.memberActivateStatus || false,
          memberCardNo: newVal && newVal.memberCardNo || ''
        })
      }
    },
    couponNum:  {
			type: Number,
			value: 0,
    },
    token:{
      type: String,
      observer(newVal){
        this.setData({
          _token : newVal
        })
      }
    }
  },
  /**
   * 页面的初始数据
   */
  data: {
    personCenter: {},
    memberCardNo: "",
    memberActivateStatus: false,
    integralNum: 0,
    couponNum: 0,
    baseUrl: '/assets/imgs/0606.png',
    isAuthorization: false,
    _token: ''
  },
  attached () {
    this.setData({
      personCenter: this.data.personData
    })
  
    let base64 = wx.getFileSystemManager().readFileSync(this.data.baseUrl, "base64");
    this.setData({
      baseUrl: "data:image/png;base64," + base64
    })
  },
  methods: {
    handleToMemberOfOwn() {
      wxService.router(`/pages/memberOfOwn/memberOfOwn`)
    },
    toBonusDetails() {
      wxService.router(`/pages/integralWater/integralWater`)
    },
    toCouponList() {
      wxService.router(`/pages/coupons/coupons`)
    },
    handleTtoActiveMemebr() {
      if (wx.getStorageSync('_baseUserInfo')){
        if (!this.data.memberCardNo){
          wxService.openCard()
        }
      }else{
        this.setData({
          isAuthorization:true
        })
      }
    },
    handleGoWxCard() {
      wxService.openCardList()
    }
  }
})