
// component/picNav/picNav.js
var app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

Component({
	/**
	 * 组件的属性列表
	 */
  properties: {
    picNav: {
      type: Array,
      value: [],
    },
  },
  attached() { },
	/**
	 * 组件的初始数据
	 */
  data: {
    imagewidth: 0,//缩放后的宽 
    imageheight: 0,//缩放后的高 
    isAuthorization: false
  },
	/**
	 * 组件的方法列表
	 */
  methods: {
    imageLoad(e) {
      let imageSize = utils.imageUtil(e)
      this.setData({
        imagewidth: imageSize.imageWidth,
        imageheight: imageSize.imageHeight
      })
    },
    preview(e) {
      const { appid, path, link, item } = e.currentTarget.dataset
      const { memberActivateStatus } = wx.getStorageSync('_baseUserInfo')
      // 获取当前帐号信息
      const accountInfo = utils.getAccountInfo()
      const userInfo = wx.getStorageSync('_baseUserInfo')

      //  2019.06.14        
      let currentClickType = app.globalData.commonFunc.getLink(item.link.type, item)
      if (link.type == 1) {
        // 触发父组件更新页面 外部小程序
        this.setData({
          isAuthorization: false
        })
        return false
      } else if (!userInfo) {
        this.setData({
          isAuthorization: true
        })
        return false
      }

      if (link.type == 2) {
        // 触发父组件更新页面
        wxService.nextTick(() => {
          this.triggerEvent('updatePage', { pageId: currentClickType.url })
        })
      } else if (link.type == 3) {
        // 预览
        wx.previewImage({
          current: `https://images.unsplash.com/${currentClickType.imageUrl}`, // 当前显示图片的http链接
          urls: [`http://testimg3.bigaka.com/${currentClickType.link.url}`]  // 需要预览的图片http链接列表
        })
      } else if (link.type == 4) {
        wxService.router(`${currentClickType}`)
      } else if (link.type == 5) {
        if (currentClickType == 1) {
          // wxService.openCardList()
          wxService.openCard()
        } else if (currentClickType == 2) {
          wxService.openCard()
        }
      }
    }
  }
})
